MsWksSSParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
MsWksSSParser Class Reference

the main class to read a Microsoft Works spreadsheet file More...

`#include <MsWksSSParser.hxx>`

Inheritance diagram for MsWksSSParser:

## Public Member Functions
| MsWksSSParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~MsWksSSParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGSpreadsheetInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWSpreadsheetParser
virtual | ~MWAWSpreadsheetParser ()
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGSpreadsheetInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | createZones ()
| finds the different objects zones More...
bool | readSSheetZone ()
| try to read the spreadsheet data zone More...
void | sendNote (int id)
| try to send a note More...
bool | sendSpreadsheet ()
| try to send the main spreadsheet More...
bool | readEndHeader ()
| reads the end of the header More...
bool | readCell (int sz, MWAWVec2i const &cellPos, MsWksSSParserInternal::Cell &cell)
| reads a cell content data More...
Protected Member Functions inherited from MWAWSpreadsheetParser
| MWAWSpreadsheetParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWSpreadsheetParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< MsWksSSParserInternal::State > | m_state
| the state More...
std::vector< MWAWEntry > | m_listZones
| the list of different Zones More...
shared_ptr< MsWksDocument > | m_document
| the actual zone More...

## Friends
class | MsWksSSParserInternal::SubDocument

## Detailed Description

the main class to read a Microsoft Works spreadsheet file

## Constructor & Destructor Documentation

MsWksSSParser::MsWksSSParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

MsWksSSParser::~MsWksSSParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool MsWksSSParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

void MsWksSSParser::createDocument | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

bool MsWksSSParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

void MsWksSSParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by MsWksSSParser().

void MsWksSSParser::parse | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWSpreadsheetParser.

bool MsWksSSParser::readCell | ( | int | sz,
|  | MWAWVec2i const & | cellPos,
|  | MsWksSSParserInternal::Cell & | cell
| ) |  |
| protected

reads a cell content data

Referenced by readSSheetZone().

bool MsWksSSParser::readEndHeader | ( |  | ) |
| protected

reads the end of the header

bool MsWksSSParser::readSSheetZone | ( |  | ) |
| protected

try to read the spreadsheet data zone

Referenced by createZones().

void MsWksSSParser::sendNote | ( | int | id | ) |
| protected

try to send a note

Referenced by MsWksSSParserInternal::SubDocument::parse().

bool MsWksSSParser::sendSpreadsheet | ( |  | ) |
| protected

try to send the main spreadsheet

Referenced by parse().

## Friends And Related Function Documentation

friend class MsWksSSParserInternal::SubDocument
| friend

## Member Data Documentation

shared_ptr<MsWksDocument> MsWksSSParser::m_document
| protected

the actual zone

Referenced by checkHeader(), createDocument(), createZones(), MsWksSSParser(), parse(), readCell(), readSSheetZone(), sendNote(), and sendSpreadsheet().

std::vector<MWAWEntry> MsWksSSParser::m_listZones
| protected

the list of different Zones

shared_ptr<MsWksSSParserInternal::State> MsWksSSParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), init(), parse(), readCell(), readSSheetZone(), sendNote(), and sendSpreadsheet().

The documentation for this class was generated from the following files:

- MsWksSSParser.hxx
- MsWksSSParser.cxx